# Object_Manager.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Object_Manager_Base.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/Static_Object_Lock.h"`
`#include "ace/Object_Manager.inl"`
`#include "ace/Managed_Object.h"`

Include dependency graph for Object_Manager.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Object_Manager
| Manager for ACE library services and singleton cleanup. More...

## Defines

#define | ACE_MAX_MANAGED_OBJECTS 128
#define | ACE_APPLICATION_PREALLOCATED_OBJECT_DECLARATIONS
#define | ACE_APPLICATION_PREALLOCATED_ARRAY_DECLARATIONS

## Functions

ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL int | ACE_SEH_Default_Exception_Selector (void *)
int | ACE_SEH_Default_Exception_Handler (void *)

## Detailed Description

Id
  Object_Manager.h,v 4.102 2006/02/10 10:09:15 jwillemsen Exp

Author:
  David L. Levine <levine@cs.wustl.edu>

  Matthias Kerkhoff

  Per Andersson

## Define Documentation

#define ACE_APPLICATION_PREALLOCATED_ARRAY_DECLARATIONS

#define ACE_APPLICATION_PREALLOCATED_OBJECT_DECLARATIONS

#define ACE_MAX_MANAGED_OBJECTS 128

## Function Documentation

int ACE_SEH_Default_Exception_Handler | ( | void * |  | ) |

ACE_END_VERSIONED_NAMESPACE_DECL ACE_BEGIN_VERSIONED_NAMESPACE_DECL int ACE_SEH_Default_Exception_Selector | ( | void * |  | ) |